https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettings/{paymentMethodId}/getApplePayDomainsReturns all Apple Pay domains that are registered with the merchant account and the payment method identified in the path. For more information, see Apple Pay documentation. To make this request, your API credential must have the following role: * Management API—Payment methods read
The unique identifier of the merchant account.
The unique identifier of the payment method.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettings/{paymentMethodId}/getApplePayDomains' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettings/{paymentMethodId}/getApplePayDomainsReturns all Apple Pay domains that are registered with the merchant account and the payment method identified in the path. For more information, see Apple Pay documentation. To make this request, your API credential must have the following role: * Management API—Payment methods read
The unique identifier of the merchant account.
The unique identifier of the payment method.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/paymentMethodSettings/{paymentMethodId}/getApplePayDomains' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}